API ReferenceCWT PDF templates
Update a PDF template
PUT
/v2/credentials/compact/pdf/templates/{id}Update an existing CWT credential PDF template based on a provided .zip file. Refer to our PDF template design guide for more information on how to design a template and structure the .zip file.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_STARTCREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_SUCCESSCREDENTIAL_COMPACT_PDF_TEMPLATE_UPDATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
PDF template ID
id*string
Request Body
application/zip
TypeScript Definitions
Use the request body type in TypeScript.
body*file
Format
binaryResponse Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/compact/pdf/templates/string" \ -H "Content-Type: application/zip" \ -d 'string'{ "id": "string", "name": "string", "fileName": "string", "fonts": [ { "name": "string", "fileName": "string" } ], "metadata": { "title": "string" }, "fields": [ { "key": "string", "value": "string", "isRequired": true, "alternativeText": "string", "fontName": "string" } ]}How would you rate this page?